# Uses of Interface
javax.sql.ConnectionEventListener

Packages that use ConnectionEventListener
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of ConnectionEventListener in javax.sql

Methods in javax.sql with parameters of type ConnectionEventListener
Modifier and Type
Method
Description
`void`
PooledConnection.`addConnectionEventListener(ConnectionEventListener listener)`
Registers the given event listener so that it will be notified when an event occurs on this `PooledConnection` object.
`void`
PooledConnection.`removeConnectionEventListener(ConnectionEventListener listener)`
Removes the given event listener from the list of components that will be notified when an event occurs on this `PooledConnection` object.